
enemy = {}

function enemycreate(x,y,direction,id)
	table.insert(enemy,{x=x,y=y,direction=direction,id=id,speed = 240,h = 32,w = 32,remove = false})
end

function enemyupdate(dt)
	for i,v in ipairs(enemy) do
   if v.direction == "right" then
      v.x = v.x + v.speed * dt
   end
   if v.direction == "left" then
     v.x = v.x - v.speed * dt
		end
	end
end

function enemycollide(dt)
	for i,v in ipairs(enemy) do
	
		E_timedspeed = v.speed * dt
	
		if E_mapCollide(v.x - E_timedspeed, v.y + 1) or B_mapCollide(v.x - E_timedspeed, v.y + v.h - 1) then
		v.x = math.floor(v.x / tiledivisor) * tiledivisor
		v.direction = "right"
		v.x = v.x + 32
		end
		if E_mapCollide(v.x + E_timedspeed + v.w, v.y + 1) or B_mapCollide(v.x + E_timedspeed + v.w, v.y + v.h - 1) then
		v.x = (math.floor((v.x + v.w + E_timedspeed) / tiledivisor) * tiledivisor) - v.w
		v.x = v.x - 32
		v.direction = "left"
		end
	end
end

function enemy_draw()
for i,v in ipairs(enemy) do
	g.setColor(255,255,255,255)
	g.draw(E, v.x, v.y, 0, 1, 1)
	end
end

function enemy_check(dt)
	for i,v in ipairs(enemy) do
		if B_x > v.x and
			B_x < v.x + v.w and
			B_y > v.y and
			B_y < v.y + v.h then
			v.remove = true
		end
	end
end

function enemy_die(dt)
		for i = #enemy, 1, -1 do
		if enemy[i].remove then
        table.remove(enemy, i)
		end
	end
end