player = {x=64,y=0,yvel = 0, grav = 750,h = 32, w = 32,speed = 240,facing = "right"}
skin_1 = love.graphics.newImage("pics/player1.png")
skin_2 = love.graphics.newImage("pics/player2.png")
skin_3 = love.graphics.newImage("pics/player3.png")

function player.load()
	if maploaded == true then
	  for y = 1, #map do
      for x = 1, #map[y] do
         if map[y][x] == X then
            player.x = x * player.w - player.w
            player.y = y * player.h - player.h
					end
				end
			end
		onGround = false
		player.yvel = 0
	end
end

function playerupdate(dt)
	if maploaded == true then
	
	local dt = math.min(dt,0.1)

	P_timedSpeed = player.speed * dt
	P_timedyvel = player.yvel * dt
	player.yvel = player.yvel + player.grav * dt
	
	--Left and Right Collision
	if love.keyboard.isDown("left") then
		player.facing = "left"
		B_direction = "left"
		if mapCollide(player.x - P_timedSpeed, player.y + 1) or mapCollide(player.x - P_timedSpeed, player.y + player.h - 1) then
			player.x = math.floor(player.x / tiledivisor) * tiledivisor
		else
			player.x = player.x - P_timedSpeed
		end
	end
	if love.keyboard.isDown("right") then
		player.facing = "right"
		B_direction = "right"
		if mapCollide(player.x + P_timedSpeed + player.w, player.y + 1) or mapCollide(player.x + P_timedSpeed + player.w, player.y + player.h - 1) then
			player.x = (math.floor((player.x + player.w + P_timedSpeed) / tiledivisor) * tiledivisor) - player.w
		else
			player.x = player.x + P_timedSpeed
		end
	end
   
   --Up and Down Collision
	if math.abs(P_timedyvel) < tiledivisor then j = math.abs(P_timedyvel) else j = tiledivisor end
	if P_timedyvel > 0 then negateit = 1 else negateit = -1 end
	if mapCollide(player.x + 1, player.y + player.h + j*negateit) or mapCollide(player.x + player.w - 1, player.y + player.h + j*negateit) then
		player.y =(math.floor((player.y + player.h + j) / tiledivisor) * tiledivisor) - player.h
		player.yvel = 0
		onGround = true
		P_storedY = 0
	elseif mapCollide(player.x + 1, player.y + j*negateit) or mapCollide(player.x + player.w - 1, player.y + j*negateit) then
		player.y = math.floor(player.y / tiledivisor) * tiledivisor
		player.yvel = 0
		jumping = false
	else
		player.y = player.y + j*negateit
		onGround = false
		end
	end
end


function playerjump(dt)
	local jumpSpeed = 2
	
	if love.keyboard.isDown("up") and (onGround or jumping) then
	if P_timer < .3 then
	jumpSpeed = jumpSpeed + P_timer
	player.yvel = -100 * jumpSpeed
	--player.yvel = -250 * jumpSpeed
	jumping = true
		end
	else
	jumping = false
	P_timer = 0
	end
end

function playerP_timer(dt)
	if love.keyboard.isDown("up") then
	P_timer = P_timer + dt
	end
end

function playerjumpMax(dt)
	if P_storedY - player.y == 64 then
	player.yvel = 0
	P_timer = 0
	P_storedY = 0
	jumping = false
	end
end

function playerfall(key)
	if key == "up" then
      player.yvel = math.max(player.yvel,0)
	  jumping = false
	end
end

function playerstore(key)
	if key == "up" then
	P_storedY = player.y
	end
end

function playerdraw()
	g.setColor(255,255,255,255)
	if player.facing == "right" then
	g.draw(skin, player.x, player.y,0,1,1,0)
	end
	if player.facing == "left" then
	g.draw(skin, player.x, player.y,0,-1,1, player.w,0)
	end
end

function skinchange(key)
	if key == "s" then
	if skin == skin_1 then
	skin = skin_2
	elseif skin == skin_2 then
	skin = skin_3
	elseif skin == skin_3 then
	skin = skin_1
		end
	end
end